#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	C++ interface for working with XML files
Summary(pl.UTF-8):	Interfejs C++ do pracy z plikami XML
Name:		libxml++5
Version:	5.2.0
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	https://download.gnome.org/sources/libxml++/5.2/libxml++-%{version}.tar.xz
# Source0-md5:	772b48fbc619f263e69ce14282a98aed
URL:		http://libxmlplusplus.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd50-xml
BuildRequires:	docbook-style-xsl-ns
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.7.7
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libxml2 >= 1:2.7.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxml++ is a C++ interface for the libxml XML parser library.

%description -l pl.UTF-8
libxml++ jest interfejsem C++ do biblioteki libxml.

%package devel
Summary:	Header files for libxml++
Summary(pl.UTF-8):	Pliki nagłówkowe do libxml++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:7
Requires:	libxml2-devel >= 1:2.7.7

%description devel
Header files for libxml++.

%description devel -l pl.UTF-8
Pliki nagłówkowe do libxml++.

%package static
Summary:	Static libxml++ libraries
Summary(pl.UTF-8):	Biblioteka statyczna libxml++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxml++ libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libxml++.

%package apidocs
Summary:	libxml++ API documentation
Summary(pl.UTF-8):	Dokumentacja API libxml++
Group:		Documentation
BuildArch:	noarch

%description apidocs
libxml++ API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxml++.

%package examples
Summary:	libxml++ - example programs
Summary(pl.UTF-8):	libxml++ - przykładowe programy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
libxml++ - example programs.

%description examples -l pl.UTF-8
libxml++ - przykładowe programy.

%prep
%setup -q -n libxml++-%{version}

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxml++-5.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libxml++-5.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxml++-5.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxml++-5.0.so
%{_libdir}/libxml++-5.0
%{_includedir}/libxml++-5.0
%{_pkgconfigdir}/libxml++-5.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxml++-5.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libxml++-5.0
%{_docdir}/libxml++-5.0

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jan 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxml++5.git;a=log;h=master

* Fri Jan 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 4b0778a
- updated to 5.2.0

* Fri Mar 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 9215078
- updated to 5.0.3

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 0b7622f
- updated to 5.0.2
- removed obsolete htmlReadDoc patch

* Sat Dec 25 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f81d8c5
- added htmlReadDoc.patch (from upstream)
- rel 2

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 8fbcf4c
- updated to 5.0.1

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 1f1795a
- unconditional noarch subpackages

* Mon Dec 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 0d2b971
- updated to 5.0.0 as libxml++5 (C++17 based, glibmm-free)

* Mon Dec 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 983d0bd
- updated to 4.0.0 as libxml++4 (C++17/glibmm2.68 based)

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> d4ed2fe
- updated to 3.2.2

* Tue Jan 14 2020 Jakub Bogusz <qboosh@pld-linux.org> b0a9039
- updated to 3.2.0

* Sun Jan 15 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2a25a41
- Update to 3.0.1

* Sun Feb 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 750d076
- updated to 3.0.0 (API/ABI version 3.0; ABI 2.6 moved to libxml++2.spec)

* Fri Oct 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 8287c79
- updated to 2.40.1

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 6d50d94
- updated to 2.40.0; C++11 now

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fe6455
- release 2 (by relup.sh)

* Thu Jun 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e17c1b
- updated to 2.38.1

* Sat Apr 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 3aa0982
- updated to 2.38.0

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> aa5e0b4
- noarch apidocs

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> ae32a4f
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> e40ba4c
- removed regenerating autostuff, not needed and breaks examples/Makefile
- rel 2

